:root {
  --radio-size: 1.8rem !important;
  --checkbox-size: 1.8rem !important;
}
html {
  --bs-primary: #3267CC;
  --bs-success: #69B561;
  --bs-danger: #CB2929;
}
html[data-bs-theme="light"] {
  --bs-body-bg: #f5f5f5;
  --bs-card-bg: #ffffff !important;
}

html[data-bs-theme="dark"] {
  --bs-body-bg: #181818;
  --bs-card-bg: #242424 !important;
}


html[data-bs-theme="light"] .card {
  --bs-card-bg: #fff;
}

html[data-bs-theme="dark"] .card {
  --bs-card-bg: #000 !important;
}

html[data-bs-theme="light"] .card {
  --bs-card-border-color: #e4e4e4;
}
html[data-bs-theme="dark"] .card {
  --bs-card-border-color: #242424;
}

.btn {
  --bs-btn-font-size: 1.5rem;
  --bs-btn-padding-x: 1.2rem;
  --bs-btn-padding-y: 0.5rem;
}
[type=checkbox]:first-child {
  /* margin-left: -1.7rem !important; */
  /* top: -1px !important;  */
  margin-top: 0 !important;
}
[type=checkbox]::after {
  /* top: -2px !important; */
  margin-top: 0 !important;
}
.form-check {
  margin-bottom: 0.8rem;
  padding-left: unset;
}
.custom-bullet-list {
  list-style-type: none; /* Remove default bullets */
  padding-left: 0; /* Remove default left padding */
}

.custom-bullet-list li {
  position: relative; /* Set position to relative to position the icon correctly */
  padding-left: 1.5em; /* Add some left padding to make space for the icon */
}

.custom-bullet-list li::before {
  content: '\F633'; /* This is the unicode for the check icon in Bootstrap Icons */
  font-family: bootstrap-icons; /* Use the Bootstrap Icons font */
  color:var(--bs-success);
  position: absolute; /* Absolute positioning to place the icon */
  left: 0; /* Place the icon to the left */
  top: 0.2em; /* A slight adjustment to vertically center the icon */
}
.sort-icon {
  font-family: bootstrap-icons; /* Use the Bootstrap Icons font */
  display: inline-block;
  vertical-align: middle;
}
.sort-icon::before {
  content: "\F283"; /* Default: both arrows */
}
.asc .sort-icon::before {
  content: "\F282"; /* Ascending: chevron down */
}
.desc .sort-icon::before {
  content: "\F286"; /* Descending: chevron up */
}
.table>:not(caption)>*>* {
  background-color: var(--o--table-head-color);
}
.table-striped>tbody>tr:nth-of-type(even)>* {
  --bs-table-color-type: var(--bs-table-striped-color);
  --bs-table-bg-type: var(--global--page-background-color);
}
.table-striped>tbody>tr:nth-of-type(odd)>* {
  --bs-table-color-type: var(--bs-table-striped-color);
  --bs-table-bg-type: var(--Card--background-color);
}
.table>:not(caption)>*>* {
  color: var(--global--color-faint,var(--global--color-faint,var(--global--color-faint)));
}
.disabled>.page-link, .page-link.disabled {
  background-color: var(--Button--primary-background-color-dark);
  border-color: var(--Card--background-color);
  color: var(--global--color-faint,var(--global--color-faint,var(--global--color-faint)));
  fill: var(--global--color-faint,var(--global--color-faint,var(--global--color-faint)));
  opacity:.7;
}
.page-link, .form-select, .form-control {
  color: var(--global--color-faint);
  border-color: var(--Card--background-color);
  background-color: var(--Card--background-color);
}
input[type=date], input[type=datetime], input[type=datetime-local], input[type=email], input[type=month], input[type=number], input[type=password], input[type=search], input[type=tel], input[type=text], input[type=time], input[type=url], input[type=week] {
  color: var(--global--color-faint) !important;
  border: solid 1px var(--Card--background-color);
}
.modal-content {
  color: var(--bs-modal-color);
  background-color: var(--Card--background-color);
}
.modal-header {
  border-bottom: var(--bs-modal-header-border-width) solid var(--global--color-faint);
}
div.modal-body.p-5 > div > div.col-12.col-md-8 > div > p {
  font-size:1.3em;
}
.card-footer .priceinfo span {
  display:block;
}
.modal-body .priceinfo span {
  display:inline-block;
  margin-right:1em;
}
.gradbtn-success {
  background: linear-gradient(90deg, #357a35 0%, #4a9a4a 50%, #6dbd63 100%);
  border: none;
}
.gradbtn-edit {
  background: linear-gradient(90deg, #5c7ebd 0%, #7a6fc1 50%, #9e5edc 100%);
  border: none;
}
.gradbtn-danger {
  background: linear-gradient(90deg, #e53935 0%, #e57373 50%, #ef9a9a 100%);
  border: none;
}
textarea.form-control {
  font-size:1em;
  height:12em;
}
[type=checkbox]:checked::after, [type=checkbox]:checked:focus::after {
  padding: 0px 1px 1px 1px !important;
  margin-top:1px;
}
button {
  border-width: var(--Button--border-width, 1px);
  border-style: solid;
}
.Card__header-actions .Icon-button {
  position: relative;
  top: 4px;
}


.btn-success {
  background: #E1F0DF !important;
  border-color: #69B561 !important;
  color: #264F12 !important;
  font-weight: var(--global--font-weight-bold) !important;
  border-radius: .6rem !important;
  text-decoration: none !important;
}

html[data-bs-theme="dark"] .btn-success {
  background: #E1F0DF !important;
  border-color: #69B561 !important;
  color: #264F12 !important;
  font-weight: var(--global--font-weight-bold) !important;
  border-radius: .6rem !important;
}

.btn-primary {
  background: #ECF2FF !important;
  border-color: #3267CC !important;
  color: #3267CC !important;
  font-weight: var(--global--font-weight-bold) !important;
  border-radius: .6rem !important;
  text-decoration: none !important;
}

html[data-bs-theme="dark"] .btn-primary {
  background: #ECF2FF !important;
  border-color: #3267CC !important;
  color: #3267CC !important;
  font-weight: var(--global--font-weight-bold) !important;
  border-radius: .6rem !important;
}

.btn-secondary {
  background: #F7F7F8 !important;
  border-color: #DEE0E3 !important;
  color: #373D43 !important;
  font-weight: var(--global--font-weight-bold) !important;
  border-radius: .6rem !important;
  text-decoration: none !important;
}

html[data-bs-theme="dark"] .btn-secondary {
  background: #F7F7F8 !important;
  border-color: #DEE0E3 !important;
  color: #373D43 !important;
  font-weight: var(--global--font-weight-bold) !important;
  border-radius: .6rem !important;
}


.btn-danger {
  background: #FCF4F4 !important;
  border-color: #CB2929 !important;
  color: #CB2929 !important;
  font-weight: var(--global--font-weight-bold) !important;
  border-radius: .6rem !important;
  text-decoration: none !important;
}

html[data-bs-theme="dark"] .btn-danger {
  background: #FCF4F4 !important;
  border-color: #CB2929 !important;
  color: #CB2929 !important;
  font-weight: var(--global--font-weight-bold) !important;
  border-radius: .6rem !important;
}

.btn-sm {
  font-size: 1.3rem !important;

}

.text-primary {
  color: var(--bs-primary) !important;
}

.text-success {
  color: var(--bs-success) !important;
}

.text-danger {
  color: var(--bs-danger) !important;
}

.text-xs {
  font-size: 1rem !important;
}
.text-sm {
  font-size: 1.3rem !important;
}
.text-md {
  font-size: 1.4rem !important;
}

.input-group-text,.form-select {
  font-size: 1.3rem !important;
}
.tooltip-inner {
  font-size: 1.2rem;
}

[type=checkbox]:checked, [type=checkbox]:checked:focus {
  background: #3267CC !important;
}
[type=checkbox]::after {
  border: var(--border-width) solid #3267CC !important;
}
[type=checkbox]:focus::before {
  background: unset !important;
}
.abi-subscription a {
  color: #3267CC !important;
}
.App-bar__top {
  padding-bottom: .8rem;
}

body.theme-abicart,
body.theme-abicart-dark {
  background-color: var(--bs-body-bg) !important;
}

.Page__contents {
  background-color: var(--bs-body-bg) !important;
}

.Page {
  background-color: var(--bs-body-bg) !important;
}

.subscription-page-contents.Page__contents {
  max-width: unset !important;
}

#manage-items-content {
  position: relative;
}
/* Use your existing @keyframes for animation */
@keyframes page-shimmer {
  to {
    transform: translateX(100%);
  }
}

/* Checkout Spinner Style (Light Theme) */
html[data-bs-theme="light"] .checkoutspinner {
  background: rgba(255,255,255,0.7);
  z-index: 1050;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  /* Add overflow: hidden; to hide shimmer element outside the spinner. */
  overflow: hidden;
}

/* Shimmer effect for light theme */
html[data-bs-theme="light"] .checkoutspinner::after {
  content: "";
  font-size: large;
  color: black;
  position: fixed;
  inset: 0;
  transform: translateX(-100%);
  pointer-events: none;
}

/* Checkout Spinner Style (Dark Theme) */
html[data-bs-theme="dark"] .checkoutspinner {
  background: rgba(0,0,0,0.7);
  z-index: 1050;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
}
/* Shimmer effect for dark theme */
html[data-bs-theme="dark"] .checkoutspinner::after {
  content: "";
  position: fixed;
  font-size: large;
  color: white;
  inset: 0;
  transform: translateX(-100%);
  pointer-events: none;
  /* Linear gradient: transparency -> dark gray (light glow) -> transparency */
  /* Use a darker color/less visible effect for dark theme */
  background: linear-gradient(110deg, rgba(0, 0, 0, 0) 40%, rgba(180, 150, 255, .1), rgba(0, 0, 0, 0) 60%);
  animation: page-shimmer 1.5s infinite;
}
/* If necessary, adjust your existing animation if it is too fast/slow: */
/* @keyframes page-shimmer { to { transform: translateX(100%); } } */
#global-spinner-wrapper.d-flex.htmx-request {
  display: flex !important;
}
#global-spinner-wrapper.d-flex {
  display: none !important;
}
.App-bar.Page__app-bar,
.App-bar__page-actions  {
  background-color: transparent !important;
}
.App-bar__page-actions  {
  margin-top: 1rem;
}
html[data-bs-theme="dark"]  .selected-file td {
  background-color: #3267CC !important;
  color: white;
}
html[data-bs-theme="light"]  .selected-file td {
  background-color: #3267CC !important;
  color: white;
}
html[data-bs-theme="light"]  .selected-file:hover td {
    color: unset;
}
html[data-bs-theme="dark"] .table-primary {
    --bs-table-hover-bg:  #204791 !important;
}
html[data-bs-theme="light"] .table-primary {
    --bs-table-hover-bg:  #dbe7fc !important;

}